%define major 2
%define minor 2
%define	libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -s -d

%define with_pcre	1
%define with_png	1
%define with_onig	0

Summary:	The shared library for the S-Lang extension language
Name:		slang
Version:	2.2.2
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.s-lang.org
Source0:	ftp://ftp.fu-berlin.de/pub/unix/misc/slang/v%{major}.%{minor}/slang-%{version}.tar.bz2
Source1:	%{SOURCE0}.asc
# Do not use glibc private symbol (fedora bug #161536)
# See fedora package for a patch against newer slang
Patch0: 	slang-2.1.0-no_glibc_private.patch
Patch2:		slang-2.2.2-makefile.patch
Patch4:		slang-SLANG_LIB_FOR_MODULES.diff
BuildRequires:	glibc-devel
%if %{with_png}
BuildRequires:	libpng-devel
%endif
BuildRequires:	libtool
%if %{with_pcre}
BuildRequires:	pcre-devel
%endif
%if %{with_onig}
BuildRequires:	onig-devel
%endif
BuildConflicts:	slang-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{libname}
Summary:	The shared library for the S-Lang extension language
Group:		System/Libraries
Provides:	slang
Obsoletes:	slang < 2.1.4

%description -n	%{libname}
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package -n %{develname}
Summary:	The library and header files for development using S-Lang
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	slang-devel < 2.1.4
Obsoletes:	%{mklibname slang 2 -d}
Requires:	%{libname} = %{version}
Conflicts:	%{mklibname slang 1 -d}

%description -n	%{develname}
This package contains the S-Lang extension language libraries and
header files which you'll need if you want to develop S-Lang based
applications.  Documentation which may help you write S-Lang based
applications is also included.

Install the slang-devel package if you want to develop applications
based on the S-Lang extension language.

%package -n %{staticname}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname slang 2 -d -s}

%description -n %{staticname}
Static development files for %{name}.

%package doc
Summary:	Extra documentation for slang libraries
Group:		Books/Computer books

%description doc
This package contains documentation about S-Lang.
S-Lang is an interpreted language and a programming library.  The
S-Lang language was designed so that it can be easily embedded into
a program to provide the program with a powerful extension language.
The S-Lang library, provided in this package, provides the S-Lang
extension language.  S-Lang's syntax resembles C, which makes it easy
to recode S-Lang procedures in C if you need to.

%package slsh
Summary:	S-Lang script interpreter
Group:		Shells
Provides:	%{_bindir}/slsh

%description slsh
slsh is a program that embeds the S-Lang interpreter and may be used
to test slang scripts.

%prep

%setup -q
%patch0 -p1 -b .no_glibc_private
%patch2 -p1
%patch4 -p1

%build
%configure2_5x \
	--includedir=%{_includedir}/slang \
	%if %{with_onig}
	--with-onig \
	%endif
	%if %{with_png}
	--with-png \
	%endif
	%if %{with_pcre}
	--with-pcre
	%endif

%make static all

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std DESTDIR=%{buildroot} install-static install

# Remove unwanted files
%if !%{with_pcre}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/pcre-module.so
%endif
%if !%{with_png}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/png-module.so
%endif
%if !%{with_onig}
rm -f %{buildroot}%{_libdir}/slang/v%{major}/modules/onig-module.so
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libslang.so.%{major}*
%dir %{_libdir}/slang
%{_libdir}/slang/v%{major}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libslang.so
%dir %{_includedir}/slang/
%{_includedir}/slang/*.h
%{_libdir}/pkgconfig/slang.pc

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libslang.a

%files doc
%defattr(-,root,root)
%{_defaultdocdir}/slang

%files slsh
%defattr(-,root,root)
%doc %{_docdir}/slsh
%{_bindir}/slsh
%{_datadir}/slsh
%{_mandir}/man1/slsh.1*
%config %{_sysconfdir}/slsh.rc




%changelog
* Tue Jan 11 2011 blino <blino> 2.2.2-4.mga1
+ Revision: 6192
- do not buildrequire X11-devel, not needed
- remove obsolete macros
- imported package slang


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.2-2mdv2011.0
+ Revision: 607541
- rebuild

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 484500
- update to new version 2.2.2
- drop patch 3, fixed upstream
- rediff patch 2

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 436042
- Update to new version 2.2.1

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.0-1mdv2010.0
+ Revision: 409523
- Update to new version 2.2.0

* Tue Dec 09 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 312369
- add switches abd buildrequires for oniguruma library, not enabled by default
- do not obsolete yourself
- spec file clean
- update to new version 2.1.4

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.3-3mdv2009.0
+ Revision: 230754
- added P4 to fix linkage
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 146921
- drop patch 1
- add two Fedora's patches
- add missing buildrequires on X11-devel
- new version 2.1.3
- use macros
- fix file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Adam Williamson <awilliamson@mandriva.org>
    - use Fedora license policy (GPLv2+)
    - new devel policy
    - spec clean
    - new release 2.1.1

* Tue May 29 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.1.0-1mdv2008.0
+ Revision: 32583
- Updated to version 2.1.0.
- Removed utf8 patches, support upstream.
- Removed uneeded/obsolete patch gcc4.
- Updated URL field.
- Redid no-glibc-private patch.
- Added slsh_install patch, to fix build (make install) when slang 1
  is installed on the system with its devel files.
- Added conditionals for building of pcre/png modules.
- libslang2-devel: soname change, conflict with old libslang1-devel.
- Added static-devel subpackage, following policy.
- This new slang provides slsh (S-Lang interpreter), provide it in a new
  subpackage (slang-slsh).


* Fri Nov 03 2006 Anssi Hannula <anssi@mandriva.org> 1.4.9-10mdv2007.0
+ Revision: 76225
- patch15: do not use glibc private symbol

* Thu Nov 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.4.9-9mdv2007.1
+ Revision: 75576
- bunzip patches
- fix deps
- spec file massage
- Import slang

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.9-8mdk
- Rebuild

* Thu Aug 25 2005 Warly <warly@mandriva.com> 1.4.9-7mdk
- add a patch to fix a segv and to build with gcc4

* Sun Aug 29 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-6mdk
- patch5, fix off by one error

* Fri Jul 23 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-5mdk
- revert soname change

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 1.4.9-4mdk
- utf8 patches from suse, new soname
- make compat symlinks for devel package

